<ion-header translucent>
	<ion-toolbar>
		<ion-buttons slot="end">
			<ion-button (click)="dismiss()">Close</ion-button>
		</ion-buttons>
	</ion-toolbar>
</ion-header>
<ion-content *ngIf="modalCountry">
	<div class="content mt-4">
		<div class="row">
			<div class="col-lg-8 offset-lg-2">
				<h4 class="page-title">Add Country</h4>
			</div>
		</div>
		<div class="row">
			<div class="col-lg-8 offset-lg-2">
				<app-alerts [error]="error" [success]="success"></app-alerts>
			</div>
		</div>
		<div class="row">
			<div class="col-lg-8 offset-lg-2">
				<form>
					<div class="row">
						<div class="col-sm-12">
							<div class="form-group">
								<label
									>Country
									<span class="text-danger">*</span></label
								>
								<input
									class="form-control"
									required
									type="text"
									name="country"
									[(ngModel)]="country"
								/>
							</div>
						</div>
					</div>
					<ng-container *ngIf="country">
						<div class="m-t-20 text-center">
							<button
								class="btn btn-primary submit-btn"
								(click)="createCountry()"
							>
								Create Country
							</button>
						</div>
					</ng-container>
				</form>
			</div>
		</div>
	</div>
</ion-content>
<ion-content *ngIf="modalCity">
	<div class="content mt-4">
		<div class="row">
			<div class="col-lg-8 offset-lg-2">
				<h4 class="page-title">Add Country</h4>
			</div>
		</div>
		<div class="row">
			<div class="col-lg-8 offset-lg-2">
				<app-alerts [error]="error" [success]="success"></app-alerts>
			</div>
		</div>
		<div class="row">
			<div class="col-lg-8 offset-lg-2">
				<form>
					<div class="row">
						<div class="col-sm-12">
							<div class="form-group">
								<label
									>City
									<span class="text-danger">*</span></label
								>
								<input
									class="form-control"
									required
									type="text"
									name="country"
									[(ngModel)]="city"
								/>
							</div>
						</div>
					</div>
					<ng-container *ngIf="city">
						<div class="m-t-20 text-center">
							<button
								class="btn btn-primary submit-btn"
								(click)="createCity()"
							>
								Create City
							</button>
						</div>
					</ng-container>
				</form>
			</div>
		</div>
	</div>
</ion-content>
